<!-- This is surely a poor hack to deal with the header overlapping content ;) -->
<div style="padding-top: 100px" *ngIf="!isEmbedded">
    <div *ngIf="_isEditMode">Edit Interview Request</div>
    <div *ngIf="_isCreateMode()">Interview Company</div>
</div>

<div [hidden]="!((_isCreateMode() || _isEditMode) && _form)" class="container-fluid">
    <form [formGroup]="_form" (ngSubmit)="_onSubmit()">
        <div class="row">
            <div class="col-xs-12 form-group" [ngClass]="_formBuilder.groupClass(_formState.company)">
                <label for="company">
                    Hiring Company
                </label>
                <input #company type="text" id="company" class="form-control" formControlName="company" autocomplete="off" />
                <div *ngIf="_companySuggestion">
                    <div *ngFor="let suggestion of _companySuggestion.suggestions"
                            (click)="_companySuggestion.acceptSuggestion(suggestion)">
                        {{ suggestion.name }}
                    </div>
                </div>
                <form-field-errors id="companyErrors" [field]="_formState.company"></form-field-errors>
            </div>
        </div>
        <div class="row" *ngIf="_company">
            <company [company]="_company" [isEmbedded]='true'></company>
        </div>
        <div class="row">
            <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState.description)">
                <label for="description" [ngClass]="{'shrink': _form.value.description}">
                    Description
                </label>
                <textarea  id="description" class="form-control" formControlName="description" rows="4"></textarea>
                <form-field-errors id='descriptionErrors' [field]="_formState.description"></form-field-errors>
            </div>
        </div>

        <div>
            <button *ngIf="_isCreateMode()" type="submit" class="submit-btn btn-primary" [disabled]="!_form.valid">Create</button>
            <button *ngIf="_isEditMode" type="submit" class="submit-btn btn-primary" [disabled]="!_form.valid">Save</button>
            <button *ngIf="_isEditMode" type="button" class="submit-btn btn-primary" (click)="_cancel()">Cancel</button>
        </div>
    </form>

    <div class="text-center" style="padding-top: 20px" *ngIf="_unknownError">
        An unknown error occurred while trying to save your changes!
    </div>
</div>

<div class="container-fluid" *ngIf="_isViewMode()">
    <div class="row">
        <company [company]="interviewRequest.company" [isEmbedded]='true'></company>
    </div>
    <div class="row">
        <h3>Description</h3>
        <p *ngFor="let paragraph of interviewRequest.description | newLinesToBr">
            {{ paragraph }}
        </p>
    </div>
    <div class="row">
        <button type="button" class="submit-btn btn-primary" (click)="_accept()">I'm Interested</button>
        <button type="button" class="submit-btn btn-primary" (click)="_decline()">No Thanks</button>
        <button type="button" class="submit-btn btn-primary" (click)="_cancel()">Cancel</button>
    </div>
</div>

